#!/bin/bash
###
 # @Date: 2021-11-15 09:37:49
 # @LastEditors: JinxuChen
 # @LastEditTime: 2021-12-02 15:19:14
 # @FilePath: \GpsCardAdmin\gps_card_admin_run.sh
 # @description: 功能
###
environment=$1
version=$2
echo "环境变量为${environment},版本为$version!"
if [[ ${environment} = 'production' ]]; then
  echo "开始远程构建容器"
  docker stop gps_card_admin_web || true;
  docker rm gps_card_admin_web || true;
  docker rmi -f $(docker images | grep registry.cn-shanghai.aliyuncs.com/gps_card/gps_card_admin_web | awk '{print $3}')
  #docker login --username=telpo_linwl@1111649216405698 --password=telpo#1234 registry.cn-shanghai.aliyuncs.com;
  docker login --username=rzl_wangjx@1111649216405698 --password=telpo.123 registry.cn-shanghai.aliyuncs.com
  docker pull registry.cn-shanghai.aliyuncs.com/gps_card/gps_card_admin_web:$version
  docker run -p 8803:80 -d --restart=always --name gps_card_admin_web registry.cn-shanghai.aliyuncs.com/gps_card/gps_card_admin_web:$version;
  #删除产生的None镜像
  docker rmi -f $(docker images | grep none | awk '{print $3}')
  docker ps -a

elif [[ ${environment} == 'test' ]]; then
  echo "开始在测试环境远程构建容器"
  docker stop gps_card_admin_web || true
  docker rm gps_card_admin_web || true
  docker rmi -f $(docker images | grep 139.224.254.18:5000/gps_card_admin_web | awk '{print $3}')
  docker pull 139.224.254.18:5000/gps_card_admin_web:$version
  docker run -p 8803:80 -d --restart=always --name gps_card_admin_web 139.224.254.18:5000/gps_card_admin_web:$version;
  #删除产生的None镜像
  docker rmi -f $(docker images | grep none | awk '{print $3}')
  docker ps -a

fi